<?php
/**
 * @file
 * modal window for call progress tables
 * @todo replace table  by divs @see for example cas_popup.php
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once('/usr/local/www/berogui/includes/session.php');
$name='"general"';
$query_comp=$ba->select("SELECT * FROM callprogress");
while ($entry = $ba->fetch_array($query_comp)) {
    if ($entry['name']!=$_GET['name'])
	$name.=','.'"'.$entry['name'].'"';
}
?>

<script type="text/javascript">
    $("#callprogressform").validate({
        rules: {
            name : {
                required : true ,
                specChar: true,
                checkBlank: true,
                compareName: [<?php echo $name; ?>]
            },
        }
    }); 
$(document).ready(function() {
  $("#183_to_alerting_rules").css("display","none");
  $("#timer_dial").css("display","none");
  $("#timer_polrev").css("display","none");
  $("#timer_alerting_stop").css("display","none");

  if ($("#call").prop("selectedIndex")==2){
    $("#timer_dial").css("display","");
    $("#timer_polrev").css("display","");
    $("#timer_alerting_stop").css("display","");
  }

  $('#call').change(function() {
	  if ($("#call").prop("selectedIndex")==0) {
		  $("#callforward_rules").css("display","");
		  $("#ea_outbound_rules").css("display","");
		  $("#183_to_alerting_rules").css("display","none");
		  $("#timer_dial").css("display","none");
		  $("#timer_polrev").css("display","none");
		  $("#timer_alerting_stop").css("display","none");
	  }else if ($("#call").prop("selectedIndex")==1){
		  $("#callforward_rules").css("display","none");
		  $("#ea_outbound_rules").css("display","none");
		  $("#183_to_alerting_rules").css("display","");
		  $("#timer_dial").css("display","none");
		  $("#timer_polrev").css("display","none");
		  $("#timer_alerting_stop").css("display","none");
	  }else if ($("#call").prop("selectedIndex")==2){
		  $("#callforward_rules").css("display","none");
		  $("#ea_outbound_rules").css("display","none");
		  $("#183_to_alerting_rules").css("display","none");
		  $("#timer_dial").css("display","");
		  $("#timer_polrev").css("display","");
		  $("#timer_alerting_stop").css("display","");
	  }
  });
  $('[data-toggle="tooltip"]').tooltip({placement : 'auto bottom', html : true, trigger : 'hover', container: 'body'});
});

</script>
<?php

function call_direction($dir){
	$ba=new beroAri();
	if ($dir=="SIP-ISDN" || $dir=="ISDN-SIP" || $dir=="SIP-FXO")	$ret="<select class='form-control' name='call_direction' id='call' disabled>";
	else	$ret="<select name='call_direction' class='form-control' id='call'>";
	if ($dir=="SIP-ISDN") $ret.="<option value='SIP-ISDN' selected >SIP-ISDN</option>";
	else $ret.="<option value='SIP-ISDN'>SIP-ISDN</option>";
	if ($dir=="ISDN-SIP") $ret.="<option value='ISDN-SIP' selected>ISDN-SIP</option>";
	else $ret.="<option value='ISDN-SIP'>ISDN-SIP</option>";
	if (sqlite_num_rows($ba->select("SELECT * from analog where port_type='FXO'"))>0){
		if ($dir=="SIP-FXO") $ret.="<option value='SIP-FXO' selected>SIP-FXO</option>";
		else $ret.="<option value='SIP-FXO'>SIP-FXO</option>";
	}
	$ret.="</select>";
	return $ret;
}

function get_data() {
    $ba = new beroAri();
    if (isset($_GET['id'])) {
        $q = $ba->select("select * from callprogress where id='" . sqlite_escape_string($_GET['id']) . "'");
        $e = sqlite_fetch_all($q);
        return $e;
    }
}


$data=get_data();
if (!isset($data[0]['timer_dial']))  $data[0]['timer_dial']=10000;
if (!isset($data[0]['timer_polrev']))  $data[0]['timer_polrev']=10000;
if (!isset($data[0]['timer_alerting_stop']))  $data[0]['timer_alerting_stop']=-1;
	echo ("<form name='callprogressform' id='callprogressform' action='modules/CallProgress/callprogress_submit.php' method='POST'>

			<table class='table table-striped' style='max-width:600px; margin:auto;'>
			<tr>
			<td><b><label for='name'>" . CALL_PROGRESS_NAME_DIS . "</label>:</b>&nbsp;</td>
			<td><input type='text' class='form-control' name='name' value='" . $data[0]['name'] . "'></td>
			</tr>
			<tr>
			<td><b>".CALL_PROGRESS_DIRECTION_DIS.":</b>&nbsp;</td>
			<td>".call_direction($data[0]['direction'])."</td>
			</tr>
			<tr id='timer_dial'>
			<td><b>".CALL_PROGRESS_TIMER_DIAL_DIS.":</b>&nbsp;</td>
			<td><input type='text' class='form-control' value='". $data[0]['timer_dial'] ."' name='timer_dial'></td>
			</tr>
			<tr id='timer_polrev'>
			<td><b>".CALL_PROGRESS_TIMER_POLREV_DIS.":</b>&nbsp;</td>
			<td><input type='text' class='form-control' value='". $data[0]['timer_polrev'] ."' name='timer_polrev'></td>
			</tr>
			<tr id='timer_alerting_stop'>
			<td><b>".CALL_PROGRESS_TIMER_ALERTING_STOP_DIS.":</b>&nbsp;</td>
			<td><input type='text' class='form-control' value='". $data[0]['timer_alerting_stop'] ."' name='timer_alerting_stop'></td>
			</tr>			");
	if ($data[0]['name']=="")
		echo ("<tr id='callforward_rules'>
			<td><b>".CALL_PROGRESS_CALLFORWARD_RULES_DIS.":</b>&nbsp;</td>
			<td><input type='hidden' name='callforward_rules' value='0'>
			<input type='checkbox' name='callforward_rules' value='1'></td>
			</tr>
			<tr id='ea_outbound_rules'>
			<td><b>" . CALL_PROGRESS_EA_OUTBOUND_RULES_DIS . ":</b>&nbsp;</td>
			<td><input type='hidden' name='ea_outbound_rules' value='0'>
			<input type='checkbox' name='ea_outbound_rules' value='1'></td>
			</tr>
			<tr id='183_to_alerting_rules'>
			<td><b>" . CALL_PROGRESS_183_TO_ALERTING_RULES_DIS . ":</b>&nbsp;</td>
			<td><input type='hidden' name='183_to_alerting_rules' value='0'>
			<input type='checkbox' name='183_to_alerting_rules' value='1'></td>
			</tr>");
echo ("</table>
    <div class='text-center'><i>".REQUIRED_FIELDS."</i></div>
			<br/>");
if (isset($_GET['id']))
    echo" <input type='hidden' name='id_upd' value='" . $_GET['id'] . "'>";
echo ("<div class='text-center'>"
	. "<input class='btn btn-default'name='submit' type='submit' value='".BUTTON_SAVE."'>"
	. "</div>"
	. "</form>");

?>


